# portainer

[![Build Status](https://drone.autonomic.zone/api/badges/compose-stacks/portainer/status.svg)](https://drone.autonomic.zone/compose-stacks/portainer)

> https://portainer.readthedocs.io

1. Set up Docker Swarm and [`abra`][abra]
2. Deploy [`compose-stacks/traefik`][compose-traefik]
3. `cp .envrc.sample .envrc`
4. Edit `.envrc` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `direnv allow` (or `. .envrc`)
6. `abra deploy`
7. Log into the web interface to create an initial user

[abra]: https://git.autonomic.zone/autonomic-cooperative/abra
[compose-traefik]: https://git.autonomic.zone/compose-stacks/traefik
